<template>
  <!--动画-->
  <transition name="el-fade-in">
    <el-dialog :destroy-on-close="true" :fullscreen="fullscreen" :width="width" :title="title" :visible.sync="visible" append-to-body @close="close">
      <div class="app-container">
        <slot />
        <div style="margin-top: 30px">
          <slot name="footer" />
        </div>
      </div>
    </el-dialog>
  </transition>
</template>

<script>
export default {
  props: {
    fullscreen: {
      type: Boolean,
      default: false
    },
    title: {
      type: String,
      default: ''
    },
    width: {
      type: String,
      default: '50%'
    }
  },
  data() {
    return {
      visible: true
    }
  },
  methods: {
    close() {
      this.visible = false
      this.$emit('close')
    }
  }
}
</script>
<style scoped lang="scss">
</style>
